/*
  Copyright (c) 1998 Helsinki University of Technology.
  All rights reserved.

  Redistribution and use in source and binary forms are permitted
  provided that the above copyright notice and this paragraph are
  duplicated in all such forms and that any documentation,
  advertising materials, and other materials related to such
  distribution and use acknowledge that the software was developed
  by Helsinki University of Technology, Espoo.  The name of the
  University may not be used to endorse or promote products derived
  from this software without specific prior written permission.
  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
  IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  IcmpChecksumSession (implementation)
    Package: icmp
    File:    IcmpChecksumSession.java


*/
package fi.hut.tcm.jacob.tcpip.icmp;
import fi.hut.tcm.jacob.conduits.*;
import fi.hut.tcm.jacob.tcpip.*;

/**
    IcmpChecksumSession
    
    <p>During this <code>Session</code>,<br>
    -the checksum for outgoing packets is calculated<br>
    -the checksum on incoming packets is validated. Packets with an invalid
    checksum are silently discarded.
*/
public class IcmpChecksumSession
  extends Session {

    /**
        Create the <code>Session</code>. 
        
        @param initialState    the beginning state
    */
    public IcmpChecksumSession(State initialState) {
    //+ IcmpChecksumSession::IcmpChecksumSession(State)
      super(initialState);
    //- IcmpChecksumSession::IcmpChecksumSession(State)
    }

}; //IcmpChecksumSession

