/*
  Copyright (c) 1998 Helsinki University of Technology.
  All rights reserved.

  Redistribution and use in source and binary forms are permitted
  provided that the above copyright notice and this paragraph are
  duplicated in all such forms and that any documentation,
  advertising materials, and other materials related to such
  distribution and use acknowledge that the software was developed
  by Helsinki University of Technology, Espoo.  The name of the
  University may not be used to endorse or promote products derived
  from this software without specific prior written permission.
  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
  IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
  XXX   %Z%%M% version %I% date:%G%
  Component:  UdpPortAccessor
  Package: udp
  File:    UdpPortAccessor.java
*/

package fi.hut.tcm.jacob.tcpip.udp;
import fi.hut.tcm.jacob.conduits.*;
import fi.hut.tcm.jacob.tcpip.*;

/**
  UdpPortAccessor
  
  
*/
class UdpPortAccessor
  extends Object
  implements Accessor {

  /**
  */
  public Object getKey(Message message) {
  //+ UdpPortAccessor::getKey(Message)
    Object buf = message.getContents();
    return new Integer(UtilMsgr.i.getShort(buf,1));
  //- UdpPortAccessor::getKey(Message)
  }
  
  /**
  */
  public void setKey(Message message, Object key) {
  //+ UdpPortAccessor::setKey(Message, Object)
    // Do nothing here; the UdpHeaderSession has already put in the
    // correct values in the header. We could set the _source_ port here
    // if we wished with setShort(buf, 0);
  //- UdpPortAccessor::setKey(Message, Object)
  }
  
  /**
  */
  public void unsetKey(Message message) {
  //+ UdpPortAccessor::unsetKey(Message)
  //- UdpPortAccessor::unsetKey(Message)
  }
  
} // UdpPortAccessor

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
