/*
  Copyright (c) 1998 Helsinki University of Technology.
  All rights reserved.

  Redistribution and use in source and binary forms are permitted
  provided that the above copyright notice and this paragraph are
  duplicated in all such forms and that any documentation,
  advertising materials, and other materials related to such
  distribution and use acknowledge that the software was developed
  by Helsinki University of Technology, Espoo.  The name of the
  University may not be used to endorse or promote products derived
  from this software without specific prior written permission.
  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
  IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */


//package fi.hut.tcm.jacob.tcpip.demo;

import java.awt.*;
import java.awt.event.*;

public class GameArea extends Canvas {

  public static final int BALL_DIAMETER = 10;
  public static final int PADDLE_TOP = 120;
  public static final int PADDLE_HEIGHT = 10;
  public static final int PADDLE_WIDTH = 50;

  int ball_x, ball_y;
  int paddle_left;

  public GameArea() {
    ball_x = 10;
    ball_y = 10;
    paddle_left = 10;
    repaint();
  }

  public void moveBallTo(int x, int y) {
    ball_x = x;
    ball_y = y;
    repaint();
  }

  public void paint(Graphics g) {
    //    super.paint(g);
    g.setColor(Color.red);
    g.fillOval(ball_x - BALL_DIAMETER / 2 , ball_y - BALL_DIAMETER / 2,
	       BALL_DIAMETER, BALL_DIAMETER);
    //g.drawRect(paddle_left, PADDLE_TOP, PADDLE_WIDTH, PADDLE_HEIGHT);
    // Here we should re-draw the game area...
  }    

}

