/*
  Copyright (c) 1998 Helsinki University of Technology.
  All rights reserved.

  Redistribution and use in source and binary forms are permitted
  provided that the above copyright notice and this paragraph are
  duplicated in all such forms and that any documentation,
  advertising materials, and other materials related to such
  distribution and use acknowledge that the software was developed
  by Helsinki University of Technology, Espoo.  The name of the
  University may not be used to endorse or promote products derived
  from this software without specific prior written permission.
  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
  IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
  XXX   %Z%%M% version %I% date:%G%
  Component:  UdpHeaderToNetMessenger
  Package: udp
  File:    UdpHeaderToNetMessenger.java
*/

package fi.hut.tcm.jacob.tcpip.udp;
import fi.hut.tcm.jacob.conduits.*;

/**
  UdpHeaderToNetMessenger
  
  
*/
public class UdpHeaderToNetMessenger
  extends UdpMessenger {

  /**
  */
  public static UdpHeaderToNetMessenger instance = new UdpHeaderToNetMessenger();
  
  /**
  */
  public void apply(Message message, State state, Session session) {
  //+ UdpHeaderToNetMessenger::apply(Message, State, Session)
    ((UdpHeaderState) state).applyToNet(message, session, this);
  //- UdpHeaderToNetMessenger::apply(Message, State, Session)
  }
  
  /**
  */
  public void addUdpHeader(Message message) {
  //+ UdpHeaderToNetMessenger::addUdpHeader(Message)
    prependHeader(message.getContents(),8);
  //- UdpHeaderToNetMessenger::addUdpHeader(Message)
  }
  
} // UdpHeaderToNetMessenger

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
